10 mayo 2010

Problema con Acrobat Reader en Debian

FYI, parece que estos días el paquete acroread-debian-files en debian provoca cierto problema de solución simple pero totalmente sucia. Por alguna razón, el número de versión está hardcoded en el fichero /usr/lib/Adobe/Reader9/Reader/AcroVersion, lo que hace que las actualizaciones sobre dicha versión dejen una instalación no funcional. Los síntomas son, al lanzar el programa desde consola:
$ acroread ERROR: Cannot find installation directory.
o, al cargar un fichero PDF en Firefox/Iceweasel:
Could not launch Adobe Reader 9.3. Please make sure it exists in PATH variable in the environment. If the problem persists, please reinstall the application.
El problema está en que el script /usr/lib/Adobe/Reader9/bin/acroread-en utiliza un número de versión también hardcoded, y la inconsistencia puede aparecer al actualizar de una versión 9.X a otra. El "parche" más rápido, de momento, pasa por sincronizar ambos a mano editando el segundo fichero.

No hay comentarios:

Publicar un comentario